include <bits/stdc++.h>
using namespace std;
string s;
int n,b,a,d,c,i=0,p;

bool check(int a,int b,int c)
{
    return a+b>c&&b+c>a&&a+c>b;
}
int main()
{
    freopen("TAMGIAC.inp","r",stdin);
    freopen("TAMGIAC.out","w",stdout);
    cin>>a>>b>>c;
    p=(a+b+c)/2;
    if (check(a,b,c))
    {
        cout<<"YES";
        cout<<setprecision(2)<<fixed<<sqrt(p*(p-a)*(p-b)*(p-c));
    }
    else cout<<"NO";
}


